%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		bkchem
Version:	0.14.0
Release:	1.pre1%{?dist}
Summary:	Chemical drawing program
Group:		Applications/Engineering
License:	GPLv2+ and GFDL
URL:		http://bkchem.zirael.org/
Group:		Applications/Engineering
Source0:	http://bkchem.zirael.org/download/%{name}-%{version}-pre1.tar.gz
Source1:	%{name}.desktop
Patch1:		bkchem-setup.patch
Patch2:		bkchem-crash.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel desktop-file-utils
Requires:	pycairo tkinter python-imaging PyXML python-pmw python-oasa

%description
BKChem is a free chemical drawing program. It was conceived and
written by Beda Kosata.

%prep
%setup -q -n %{name}-%{version}-pre1
%patch1 -p1 -b .bkchem-setup
#%patch2 -p1 -b .bkchem-crash
%{__rm} -rf %{_builddir}/%{name}-%{version}-pre1/%{name}/oasa
%{__rm} -f %{_builddir}/%{name}-%{version}-pre1/%{name}/Pmw*.py
%{__rm} -rf %{_builddir}/%{name}-%{version}-pre1/%{name}/plugins/piddle



%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
%{__sed} -i -e 's,'%{buildroot}',,g' \
	%{buildroot}/%{python_sitelib}/%{name}/site_config.py \
	%{buildroot}/%{_bindir}/%{name}
%{__rm} -rf %{buildroot}/%{_datadir}/doc/%{name}
%find_lang BKchem

# menu
%{__install} -D -p -m 0644 images/bkchem.png \
	%{buildroot}/%{_datadir}/pixmaps/bkchem.png
%{__install} -d %{buildroot}/%{_datadir}/applications
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}


%clean
%{__rm} -rf %{buildroot}

%files -f BKchem.lang
%defattr(-, root ,root, -)
%doc README gpl.txt progress.log doc/
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/%{name}*

%changelog
* Sat Jan 24 2010 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.14.0-1.pre1
- Update in upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 24 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.13.0-3
- InChI generation is now compatibile with old InChI versions (1.0 and 1.0.1)
double bonds in 3D rotated molecules look much better now (z-coordinate is taken
into account when the bond is drawn)


* Tue Feb 19 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.6-1
- This release brings new options for 3D rotation - ability to fix one bond and rotate
around it, coupled with the possibility to rotate only one part of the molecule to
adjust conformation of the molecule. It also includes a few bugfixes and translation
updates.

* Sun Dec 21 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.5-4
- improvement of the spec file to be more consistent.

* Thu Dec 18 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.5-3
- improvement of the patch, saving a lot of space

* Tue Dec 16 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.5-2
- added a patch to get rid of redundant files

* Sat Dec 13 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.5-1
- starts using python-pmw instead of a native Pmw
- OASA is now splited in its own package

* Tue Oct 29 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.4-1
- bugfix that solve the corruption of saved files - 0.12.4-1

* Sat Oct 09 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.3-1
- added the new release of BKChem - 0.12.3

* Sat Aug 23 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.2-4
- piddle is removed from tarball

* Sat Jun 22 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.2-3
- creation of bkchem.desktop and addition of menu entrie

* Thu Jun 19 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.2-2
- enhacement of descriptions in the RPM

* Fri Jun 13 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.12.2-1
- initial package

